﻿using System.Text.Json;
using System.Text.Json.Serialization;
namespace iFileProxy.Models
{
    public class TaskInfo
    {
        [JsonPropertyName("id")]
        public uint Id { get; set; }

        [JsonPropertyName("tid")]
        public string TaskId { get; set; }

        [JsonPropertyName("file_name")]
        public string FileName { get; set; }

        [JsonPropertyName("client_ip")]
        public string? ClientIp { get; set; }

        [JsonPropertyName("add_time")]
        public DateTime AddTime { get; set; }

        [JsonPropertyName("update_time")]
        public DateTime UpdateTime { get; set; }

        [JsonPropertyName("status")]
        public TaskState Status { get; set; }

        [JsonPropertyName("url")]
        public string Url { get; set; }

        [JsonPropertyName("size")]
        public long Size { get; set; }

        [JsonPropertyName("hash")]
        public string Hash { get; set; }
    }
}
